modbus::GatewayMgr Interface Reference

## Classes

struct | RtuSettings
| Modbus RTU settings. More...
struct | Settings
| Modbus gateway settings (extending modb PortMux service) More...

## Public Member Functions

Settings | getSettings ()
| Get the modbus gateway settings. More...
int | setSettings (in Settings settings)
| Set the modbus gateway settings. More...

## Public Attributes

constant int | NO_ERROR = 0
| No error.
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Member Function Documentation

## getSettings()

Settings modbus::GatewayMgr::getSettings | ( |  | ) |

Get the modbus gateway settings.

Returns
  settings

## setSettings()

int modbus::GatewayMgr::setSettings | ( | in Settings | settings | ) |

Set the modbus gateway settings.

Parameters

  settings |

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/ModbusGatewayMgr.idl